Bug 73030 - [WK2] Layout Test http/tests/loading/307-after-303-after-post.html is flaky
: [WK2] Layout Test http/tests/loading/307-after-303-after-post.html is flaky
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Tools / Tests
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Alexey Proskuryakov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-23 10:28 PST by Adam Klein
Modified: 2014-12-12 13:40 PST (History)
6 users (show)

See Also:


Attachments
dirty hack (4.50 KB, patch)
2014-12-11 16:54 PST, Alexey Proskuryakov
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Klein 2011-11-23 10:28:13 PST
It was previously marked flaky on Snow Leopard only by levin, but I'm now seeing failures on Leopard as well.

http://test-results.appspot.com/dashboards/flakiness_dashboard.html#tests=http%2Ftests%2Floading%2F307-after-303-after-post.html
Comment 1 Adam Klein 2011-11-23 10:41:37 PST
Committed r101092: <http://trac.webkit.org/changeset/101092>
Comment 2 Andrew Wilson 2012-07-25 14:17:44 PDT
Seeing flakiness on all platforms now.
Comment 3 Alexey Proskuryakov 2014-12-11 16:09:20 PST
I don't know what the chromium failure was, but I'm going to appropriate this bug to fix Mac flakiness.
Comment 4 Alexey Proskuryakov 2014-12-11 16:54:13 PST
Created attachment 243162 [details]
dirty hack

This fix doesn't make me happy, but it seems like it would take a large refactoring to make this cleaner. At least it seems safe.
Comment 5 WebKit Commit Bot 2014-12-12 13:40:18 PST
Comment on attachment 243162 [details]
dirty hack

Clearing flags on attachment: 243162

Committed r177234: <http://trac.webkit.org/changeset/177234>
Comment 6 WebKit Commit Bot 2014-12-12 13:40:23 PST
All reviewed patches have been landed.  Closing bug.